Skip to navigation

Retrieve a contact

View as Markdown
Retrieves detailed information about a specific contact.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

contactIdstringRequired
The ID of the contact that you want to retrieve.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
accountIdstringOptional
The ID of the account associated with the contact.
accountNumberstringOptional
The number of the customer account associated with the contact.
address1stringOptional<=255 characters
The first line of the contact's address, which is often a street address or business name.
address2stringOptional<=255 characters
The second line of the contact's address.
asBillTobooleanOptional

Indicates whether the contact can be specified as a bill-to contact.

This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.

asShipTobooleanOptional

Indicates whether the contact can be specified as a ship-to contact.

This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.

asSoldTobooleanOptional

Indicates whether the contact can be specified as a sold-to contact.

This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.

citystringOptional<=40 characters
The city of the contact's address.
contactDescriptionstringOptional<=100 characters
A description for the contact.
countrystringOptional<=64 characters
The full country name of the contact's address.
countystringOptional<=32 characters
The county. May optionally be used by Zuora Tax to calculate county tax.
faxstringOptional<=40 characters
The contact's fax number.
firstNamestringOptional<=100 characters
The contact's first name.
homePhonestringOptional<=40 characters
The contact's home phone number.
lastNamestringOptional<=100 characters
The contact's last name.
mobilePhonestringOptional<=100 characters
The mobile phone number of the contact.
nicknamestringOptional<=100 characters
A nickname for the contact.
otherPhonestringOptional<=40 characters
An additional phone number for the contact.
otherPhoneTypeenumOptional
The type of the additional phone number.
Allowed values:
personalEmailstringOptional<=80 characters
The contact's personal email address.
statestringOptional<=40 characters
The full state or province name of the contact's address.
successbooleanOptional

Returns true if the request was processed successfully.

taxRegionstringOptional<=32 characters
If using Zuora Tax, a region string as optionally defined in your tax rules. Not required.
workEmailstringOptional<=80 characters
The contact's business email address.
workPhonestringOptional<=40 characters
The contact's business phone number.
zipCodestringOptional<=20 characters
The zip code for the contact's address.

Errors

4XX
Client Request Error
500
Internal Server Error